LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 05-09-2006, 05:42 AM   #1
komuthan
Member
 
Registered: Sep 2005
Distribution: Slackware 10.2
Posts: 58

Rep: Reputation: 15
Again Ati driver issue(unknown symole in module)


I have updated my kernel to last 2.6 kernel in current testing directory(2.6.16.9) then i installed ati driver.
When i try to load fglrx module i get en error
Code:
"module inserting failed unknown symbole in module or unknown parameter" see dmesg
dmesg message:
Code:
inter module unregister
inter module register
inter module get_request
inter module put
Do you have any idea about this issue?
 
Old 05-09-2006, 09:28 PM   #2
Old_Fogie
Senior Member
 
Registered: Mar 2006
Distribution: SLACKWARE 4TW! =D
Posts: 1,515

Rep: Reputation: 62
be sure to check out this thread for installing ATI drivers

http://www.linuxquestions.org/questi...d.php?t=402003
 
Old 05-09-2006, 09:30 PM   #3
cwwilson721
Senior Member
 
Registered: Dec 2004
Location: In my house.
Distribution: Ubuntu 10.10 64bit, Slackware 13.1 64-bit
Posts: 2,649
Blog Entries: 1

Rep: Reputation: 65
Yep. It seems to be getting more and more popular.

Link is also in my sig.
 
Old 05-17-2006, 03:09 AM   #4
komuthan
Member
 
Registered: Sep 2005
Distribution: Slackware 10.2
Posts: 58

Original Poster
Rep: Reputation: 15
Yesterday i upgraded my kernel to 2.6.16.16 generic kernel
then i compiled ati driver(8.24.8) without errors but when i try to load fglrx module i get the same error
Then i downgrade my kernel to 2.6.13 kernel from testing dir then i compile ati driver aggain and this time i did not get any errors it worked fine
There is a problem with 2.6.16.x kernels in my slack laptop
Is there any guy using 2.6.16.x kernel and ati(with 3d acceleration) without any problem?
 
Old 05-17-2006, 03:19 AM   #5
Old_Fogie
Senior Member
 
Registered: Mar 2006
Distribution: SLACKWARE 4TW! =D
Posts: 1,515

Rep: Reputation: 62
Hi komuthan,

No I can't get that series going yet either. Put me on the list.

I think ATI run's behind the times to be honest. All tho they do support xorg 7 not all cards are available.

Keep in mind if the kernel you want to use is listed after the date of the driver, then chances are it won't work. Becuase ATI didnt test it and the kernel people keep on changing stuff.

I desperately want to try xorg 7 out as cwwilson had such a great improvement with it but I cant do that either.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI driver kernel module bmorgan98 Mandriva 1 08-23-2005 12:32 PM
Sound module or driver loading issue FlyingSolo Linux - General 3 02-13-2005 05:21 AM
Building an ATI driver module Elomis Linux - Software 2 01-12-2005 01:50 PM
ATI Driver module won't load under 2.6.* SCVirus Linux - Hardware 3 06-07-2004 09:26 AM
ATI Driver module build fail Bana Linux - Software 0 02-16-2004 02:54 PM


All times are GMT -5. The time now is 08:01 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration